# OgreMath.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

Radian | operator * (Real a, const Radian &b)
Radian | operator/ (Real a, const Radian &b)
Degree | operator * (Real a, const Degree &b)
Degree | operator/ (Real a, const Degree &b)

## Function Documentation

Degree Ogre::operator * | ( | Real | a,
|  | const Degree & | b
| ) |

| Definition at line 589 of file OgreMath.h. References Ogre::Degree::valueDegrees().

Radian Ogre::operator * | ( | Real | a,
|  | const Radian & | b
| ) |

| Definition at line 579 of file OgreMath.h. References Ogre::Radian::valueRadians().

Degree Ogre::operator/ | ( | Real | a,
|  | const Degree & | b
| ) |

| Definition at line 594 of file OgreMath.h. References Ogre::Degree::valueDegrees().

Radian Ogre::operator/ | ( | Real | a,
|  | const Radian & | b
| ) |

| Definition at line 584 of file OgreMath.h. References Ogre::Radian::valueRadians().

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006